import React from 'react';
import PickerItem from './components/PickerItem';
import type { PickerItemProps } from './components/PickerItem';
import type { AsyncPickerProps, AsyncPickerRef } from './types';
import * as helpers from './utils/helpers';
import twColors from './utils/twColors';
import { defaultLightColors, defaultDarkColors } from './utils/colors';
import type { ColorProps } from './utils/colors';
declare module 'react' {
    function forwardRef<T, P = {}>(render: (props: P, ref: React.Ref<T>) => React.ReactElement | null): (props: P & React.RefAttributes<T>) => React.ReactElement | null;
}
declare const AsyncPicker: <T>(props: AsyncPickerProps<T> & React.RefAttributes<{
    openModal: () => void;
    closeModal: () => void;
    focusOnSearch: () => void;
    reset: () => void;
    getLocalSearchQuery: () => string;
    triggerOptionPress: (item: T) => void;
}>) => React.ReactElement | null;
export { AsyncPicker, AsyncPickerProps, PickerItem, PickerItemProps, helpers, twColors, defaultLightColors, defaultDarkColors, ColorProps, AsyncPickerRef, };
export default AsyncPicker;
